Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-01-2008 00:25:16

bubu
Membre
Inscription : 08-01-2008

paquet cassé

bonjour,

je n'arrive plus  faire mes mise a jour system! la raison est simple j'ai au moins un paquet cassé.

je doit avoir a priorie un probleme avec samba car lorsque je fais un aptitude safe-upgrade j' ai ce message :
                     
                     Les paquets suivants ont des dépendances non satisfaites :
                     samba: Dépend: samba-common (= 3.0.26a-1) mais 3.0.28-1 est installé.

et lorsque je fais un aptitude full-upgrade les choses se complique encore nettement plus car postgresql apparait également comme cassé:



(Lecture de la base de données... 158235 fichiers et répertoires déjà installés.)
Préparation du remplacement de postgresql-8.2 8.2.4-2 (en utilisant .../postgresql-8.2_8.2.5-4_i386.deb) ...
Stopping PostgreSQL 8.2 database server: main* Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 362.
Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 370.
(does not shutdown gracefully, now stopping immediately)
failed!
invoke-rc.d: initscript postgresql-8.2, action "stop" failed.
dpkg : avertissement - ancien script pre-removal a retourné un code d'erreur de sortie 1
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Stopping PostgreSQL 8.2 database server: main* Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 362.
Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 370.
(does not shutdown gracefully, now stopping immediately)
failed!
invoke-rc.d: initscript postgresql-8.2, action "stop" failed.
dpkg : erreur de traitement de /var/cache/apt/archives/postgresql-8.2_8.2.5-4_i386.deb (--unpack) :
le sous-processus nouveau script pre-removal a retourné une erreur de sortie d'état 1
Starting PostgreSQL 8.2 database server: main* Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 52.
failed!
invoke-rc.d: initscript postgresql-8.2, action "start" failed.
dpkg : erreur lors du nettoyage :
le sous-processus post-installation script a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/postgresql-8.2_8.2.5-4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de netatalk (2.0.3-7) ...
Starting Netatalk services (this will take a while): eth2: disabled.
atalkd: zero interfaces, exiting.
invoke-rc.d: initscript netatalk, action "start" failed.
dpkg : erreur de traitement de netatalk (--configure) :
le sous-processus post-installation script a retourné une erreur de sortie d'état 1
dpkg : erreur de traitement de postgresql-8.2 (--configure) :
Le paquet est dans un état vraiment incohérent - vous devriez
le réinstaller avant de tenter de le configurer.
dpkg : des problèmes de dépendances empêchent la configuration de postgresql-contrib-8.2 :
postgresql-contrib-8.2 dépend de postgresql-8.2 ; cependant :
Le paquet postgresql-8.2 n'est pas encore configuré.
dpkg : erreur de traitement de postgresql-contrib-8.2 (--configure) :
problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de postgresql-contrib :
postgresql-contrib dépend de postgresql-contrib-8.2 ; cependant :
Le paquet postgresql-contrib-8.2 n'est pas encore configuré.
dpkg : erreur de traitement de postgresql-contrib (--configure) :
problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de postgresql :
postgresql dépend de postgresql-8.2 ; cependant :
Le paquet postgresql-8.2 n'est pas encore configuré.
dpkg : erreur de traitement de postgresql (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
netatalk
postgresql-8.2
postgresql-contrib-8.2
postgresql-contrib
postgresql




a savoir également qu'au demarage j'ai une erreur du a postgresql et qui ressemble a ça :

Stopping PostgreSQL 8.2 database server: main* Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 362.
Insecure directory in $ENV{PATH} while running with -T switch at /usr/bin/pg_ctlcluster line 370.

j'ai déjà essayé de réparrer les différents paquets avec synaptic et aptitude
j ai essayé de les réinstallés de les supprimés
j'ai retélecharger postgrésql manuellement et j ai essayé de l installé
j ai fais des dpkg pour essayé de configuré et installé les paquets aprés avoir vidé le cache.

je ne sais vraiment pu trop quoi faire!


merci d'avance pour vos réponses

Hors ligne

#2 10-01-2008 20:28:06

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : paquet cassé

Salut bubu et bienvenue wink

Désolé pour le temps de réponse....

Pourrais tu nous coller ton sources.list?

@+

Hors ligne

#3 10-01-2008 21:37:44

bubu
Membre
Inscription : 08-01-2008

Re : paquet cassé

voici mon source.list


# deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot i386 NETINST Binary-1 20070927-21:16]/ lenny contrib main

# deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot i386 NETINST Binary-1 20070927-21:16]/ lenny contrib main

deb http://ftp2.fr.debian.org/debian/ lenny main
deb-src http://ftp2.fr.debian.org/debian/ lenny main

deb http://ftp.fr.debian.org/debian/ lenny main
deb-src http://ftp.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main contrib
deb http://http.us.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ sarge/updates main contrib non-free
deb http://http.us.debian.org/debian/ sarge main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib

deb http://www.debian-multimedia.org/ lenny main
deb-src http://www.debian-multimedia.org/ sid main

#deb ftp://ftp.nerim.net/debian-marillat/ testing main


#
   # Dépôts Debian Officiels #

      # Dépôts standards
deb http://ftp.fr.debian.org/debian/ stable main non-free contrib
deb http://ftp.debian.org/debian/ testing main non-free contrib
# deb http://ftp.debian.org/debian/ unstable main


#
      # Dépôts Sécurité #     
deb http://security.debian.org/ stable/updates main contrib
deb http://security.debian.org/ testing/updates main contrib


#
   # Autres #

#
      # Multimédia #
deb http://debian.nsu.ru/debian-marillat/ stable main
deb http://debian.nsu.ru/debian-marillat/ testing main
# deb http://debian.nsu.ru/debian-marillat/ unstable main


#
      # Virtualbox #
deb http://www.virtualbox.org/debian/ etch non-free


#
      # XCFA #
# deb http://download.tuxfamily.org/xcfaudio/debian/ perso main


# deb http://ftp.fr.debian.org/debian/ sid main

Hors ligne

#4 10-01-2008 21:59:22

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : paquet cassé

Je crois qu'on a trouvé le problème wink, je te suggère de faire un tour ici pour regarder les sources.list des membres.

Tu as de tout dans ton sources.list, du testing, sarge, etch.....il faudrait soit tout mettre en lenny ou etch ou alors faire un pinning (voir le post que je t'ai donné, neos a donné ca configuration pour ca....) mais le problème est que ca doit être un peu l'embrouille dans ta distribution maintenant...

Je suis 100% stable et je n'ai donc jamais rencontré ce genre de problème....comme downgrader un systeme n'est pas très bon, j'opterais plutôt pour tout passer en lenny mais attend peut être l'avi de quelqu'un d'autre...

@+

Hors ligne

#5 10-01-2008 22:29:14

bubu
Membre
Inscription : 08-01-2008

Re : paquet cassé

voila!

j'ai passé toutes mes sources en lenny et c'est avec regret que je constate le même message que precedament
j'ai fai du menage dans mes sources c'est également une bonne chose vue la tête qu' elles avaient

merci tout de même pour l'idée

ps : je croi que j'ai oublié une info il y a quelque temps j'ai fait le menage dans mes kernel (j'en avaie au moin 5 ou 6 au demarage tongue ) le   
      probléme pourrait il venir de là? quelque chose que j'aurrai enlevé en trop par exemple???

Hors ligne

#6 10-01-2008 23:26:48

bubu
Membre
Inscription : 08-01-2008

Re : paquet cassé

aptitude me demande de configuré manuellement postgresql-8.2 est ce que quelqu'un sait comment faire???

Hors ligne

#7 11-01-2008 01:18:54

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : paquet cassé

Je ne me souviens plus comment on fait, ça, mais là tu sors de ton sujet. (Tu peux en ouvrir un nouveau, ne te gênes pas, le forum est là pour ça).

Pour le paquet cassé est-ce que c'est résolu ? Si ce n'est pas résolu, ouvres simplement Synaptic, en bas à gauche sélectionne 'filtres' puis dans la colonne des filtres à gauche sélectionne 'cassé' et après tu regardes dans le panneau de droite si un ou des paquets apparaissent cassés. Si oui, un clic droit dessus et tu sélectionnes 'réparer', puis dans les menus du haut 'appliquer'.

Autre possibilité, en root, apt-get install -f. Je ne sais pas si il y a une des deux solutions qui est plus efficaces, chez moi les deux ont eu fonctionné.

le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#8 12-01-2008 22:33:35

ninux
Modérateur
Lieu : ici ou ailleur :D
Distrib. : De boisson
Noyau : olive et cerise
(G)UI : mon écran
Inscription : 01-06-2007

Re : paquet cassé

Bonsoir bubu !

Ben moi j'aurais un truc radicale avec une list refaite (logique vus le changement des sources)
ouvre une console, un terminal et tu tape :
1- su
2- ton password root
3- apt-get clean
4- apt-get update
et enfin si tout le reste c'est bien passé
5- apt-get upgrade
C'est un peu sauvage et radicale mais au moin si il y a un paquet cassé il vas être réparer auto .

edit :

ps : je croi que j'ai oublié une info il y a quelque temps j'ai fait le menage dans mes kernel (j'en avaie au moin 5 ou 6 au demarage tongue ) le   
      probléme pourrait il venir de là? quelque chose que j'aurrai enlevé en trop par exemple???


je sais melodie , une question par post mais :
pour tes kernels, je n'ai pas la réponse mais il suffit de modifier le boot de grub en commentant ceux que tu ne veux pas voir !
mais ont y reviendra sur un autre post si tu le souhaites .


Je suis capable du meilleur comme du pire, mais dans le pire, c'est moi le meilleur ! lol __ Ces temps ci " je suis dans le PIRE ha ha ha !
pour avoir du génie, faut être mort.  Pour avoir du talent faut être vieux. Moi je ne suis ni mort ni vieux, alors soyez indulgent ! big_smile

Hors ligne

#9 13-01-2008 03:07:45

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : paquet cassé

ninux a écrit :

pour tes kernels, je n'ai pas la réponse mais il suffit de modifier le boot de grub en commentant ceux que tu ne veux pas voir !
mais ont y reviendra sur un autre post si tu le souhaites .


Je suggère de les repérer dans Synaptic, puis un clic droit : désinstaller. Et hop !


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

Pied de page des forums